'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _rax = require('rax');

var _nukeView = require('nuke-view');

var _nukeView2 = _interopRequireDefault(_nukeView);

var _nukeIcon = require('nuke-icon');

var _nukeIcon2 = _interopRequireDefault(_nukeIcon);

var _nukeThemeProvider = require('nuke-theme-provider');

var _styles = require('./styles');

var _styles2 = _interopRequireDefault(_styles);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /** @jsx createElement */

var Feedback = function (_Component) {
  _inherits(Feedback, _Component);

  function Feedback() {
    _classCallCheck(this, Feedback);

    return _possibleConstructorReturn(this, (Feedback.__proto__ || Object.getPrototypeOf(Feedback)).call(this));
  }

  _createClass(Feedback, [{
    key: 'render',
    value: function render() {
      var styles = this.props.themeStyle;
      var _props = this.props,
          _props$style = _props.style,
          style = _props$style === undefined ? {} : _props$style,
          type = _props.type,
          children = _props.children;


      var iconType = {
        success: 'success-fill',
        error: 'delete-fill',
        warning: 'warning-fill'
      }[type] || type;

      return (0, _rax.createElement)(
        _nukeView2.default,
        { style: [styles.feedback, style] },
        (0, _rax.createElement)(_nukeIcon2.default, { style: [styles.icon, styles['icon-' + type]], name: iconType }),
        (0, _rax.createElement)(
          _nukeView2.default,
          { style: styles.content },
          children
        )
      );
    }
  }]);

  return Feedback;
}(_rax.Component);

Feedback.propTypes = {
  type: _rax.PropTypes.oneOf(['success', 'error', 'warning']),
  style: _rax.PropTypes.any,
  children: _rax.PropTypes.any
};

Feedback.defaultTypes = {
  type: 'success',
  style: {},
  children: null
};
Feedback.displayName = 'Feedback';

var StyledFeedback = (0, _nukeThemeProvider.connectStyle)(_styles2.default)(Feedback);

exports.default = StyledFeedback;
module.exports = exports['default'];